/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.ProdClaseServicio;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderCyberViajeProdClaseServicio implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ProdClaseServicio prodClaseServicio = (ProdClaseServicio) o;

        Listcell lc = null;

        ClaseServicio claseServicio = prodClaseServicio.getClaseServicio();
        if (claseServicio != null) {
            lc = new Listcell(claseServicio.getDescclase());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", prodClaseServicio);
    }
}
